Summary: MOO client for Emacs
Name: rmoo
Version: 1.1
Release: 1
Copyright: distributable
Group: Applications/Editors/Emacs
URL: http://www.pobox.com/~mattcampbell/rmoo.html
Source: http://www.pobox.com/~mattcampbell/%{name}-%{version}.tar.gz
Source1: rmoo-init.el
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: emacs >= 20
BuildArchitectures: noarch

%description
RMOO is a MOO client for Emacs.  In addition to the basic features present
in any MOO client, RMOO includes more advanced features, mainly the ability
to edit MOO notes, mail, and code in separate Emacs buffers and to easily
send these buffers back to the MOO.  RMOO also includes support for the
Emacspeak audio desktop, so that people who are blind and use Emacspeak
can more easily use MOOs and other similar servers.

%changelog
* Wed Oct 18 2000 Matthew Campbell <mattcampbell@pobox.com>
- Updated to RMOO 1.1.
- Updated my email address and Web site address.
- Now rmoo-init.el is incldued in the RPM instead of w3-init.el.
- Changed the buildroot path to use the _tmppath variable.
- Removed non-existent ChangeLog from the list of doc files.

* Mon Jan 17 2000 Matthew Campbell <mattcamp@feist.com>
- First RPM package.

%prep
%setup -q

%build
./configure
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT lispdir=/usr/share/emacs/site-lisp/rmoo install
install $RPM_SOURCE_DIR/%{name}-init.el $RPM_BUILD_ROOT/usr/share/emacs/site-lisp

%clean
rm -rf $RPM_BUILD_ROOT

%post
if grep "^(require '%{name}-init)$" /usr/share/emacs/site-lisp/site-start.el >/dev/null 2>&1
then
  true
else
  echo "(require '%{name}-init)" >> /usr/share/emacs/site-lisp/site-start.el
fi

%preun
ed /usr/share/emacs/site-lisp/site-start.el >/dev/null 2>&1 <<END
g/^(require '%{name}-init)$/d
wq
END

%files
%defattr (-, root, root, 755)
%doc LICENSE README README.html
/usr/share/emacs/site-lisp/%{name}
/usr/share/emacs/site-lisp/%{name}-init.el
/usr/share/emacs/site-lisp/emacspeak/sounds/*
